From a70e36f0b0d4fb15b0b50e7ca513c4e4452767cc Mon Sep 17 00:00:00 2001
From: Matus Valo <matusvalo@gmail.com>
Date: Wed, 15 Mar 2023 22:49:07 +0100
Subject: [PATCH] Fix build errors when compiled using cython 3.0.0b1.

---
 pyproject.toml            | 2 +-
 tables/tableextension.pyx | 2 +-
 tables/utilsextension.pyx | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/tables/tableextension.pyx b/tables/tableextension.pyx
index 8f3bb01b..4a50c6ab 100644
--- a/tables/tableextension.pyx
+++ b/tables/tableextension.pyx
@@ -37,7 +37,7 @@ from .utils import SizeType
 from .utilsextension cimport get_native_type, cstr_to_pystr
 
 # numpy functions & objects
-from hdf5extension cimport Leaf
+from .hdf5extension cimport Leaf
 from cpython cimport PyErr_Clear
 from libc.stdio cimport snprintf
 from libc.stdlib cimport malloc, free
diff --git a/tables/utilsextension.pyx b/tables/utilsextension.pyx
index 5b16dcd3..664e1ea5 100644
--- a/tables/utilsextension.pyx
+++ b/tables/utilsextension.pyx
@@ -344,7 +344,7 @@ except ImportError:
 #---------------------------------------------------------------------
 
 # Error handling helpers
-cdef herr_t e_walk_cb(unsigned n, const H5E_error_t *err, void *data) with gil:
+cdef herr_t e_walk_cb(unsigned n, const H5E_error_t *err, void *data) noexcept with gil:
     cdef object bt = <object>data   # list
     #cdef char major_msg[256]
     #cdef char minor_msg[256]
-- 
2.40.1

